Bug 1343063 - Review Request: artemis - Java high performance, clustered, asynchronous messaging system
Summary: Review Request: artemis - Java high performance, clustered, asynchronous mess...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1358980 1359246
Blocks: 1181081 1348297
TreeView+ depends on / blocked
 
Reported: 2016-06-06 12:25 UTC by gil cattaneo
Modified: 2016-08-29 16:24 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-26 10:22:26 UTC
msimacek: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-06-06 12:25:48 UTC
Spec URL: https://gil.fedorapeople.org/artemis.spec
SRPM URL: https://gil.fedorapeople.org/artemis-1.2.0-1.fc23.src.rpm
Description:
Apache ActiveMQ Artemis is an open source project to
build a multi-protocol, embeddable, very high performance,
clustered, asynchronous messaging system. Artemis
is an example of Message Oriented Middleware (MoM).
Fedora Account System Username: gil

Wildfly 10+ dependency

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14392997

Comment 1 Michael Simacek 2016-06-10 11:21:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1024000 bytes in 89 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
- I don't like this XPath expression:
  %pom_xpath_remove pom:configuration artemis-server-osgi
  It's too general, it will remove any configuration of any plugin that
  might appear there in the future. Please make it more specific.
- Can you put a comment about the patch above it?
- There's
  artemis-commons/src/main/java/org/apache/activemq/artemis/utils/Base64.java
  file under public domain
- "Evil MIT" under /artemis-core-client/src/main/java/org/apache/activemq/artemis/utils/json
  You'll need to remove this code and replace with an alternative. You should
  also inform upstream that they bundle non-free code.
- You should use cmake macro.
  https://fedoraproject.org/wiki/Packaging:Cmake
- artemis-native/README contains only build instructions, it shouldn't
  be installed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "MIT/X11 (BSD like)",
     "Public domain Apache (v2.0) MIT/X11 (BSD like)", "*No copyright*
     Public domain", "*No copyright* Apache (v2.0)". 528 files have unknown
     license. Detailed output of licensecheck in
     /home/msimacek/reviews/1343063-artemis/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in artemis-
     boot , artemis-cli , artemis-commons , artemis-core-client , artemis-
     dto , artemis-jms-client , artemis-jms-server , artemis-journal ,
     artemis-maven-plugin , artemis-native , artemis-protocols , artemis-
     amqp-protocol , artemis-hornetq-protocol , artemis-hqclient-protocol ,
     artemis-proton-plug , artemis-stomp-protocol , artemis-ra , artemis-
     rest , artemis-selector , artemis-server , artemis-server-osgi ,
     artemis-service-extensions , artemis-web , artemis-spring-integration
     , artemis-pom , artemis-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Packages are noarch unless they use JNI
     Note: artemis-native subpackage is not noarch. Please verify manually
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: artemis-boot-1.2.0-1.fc25.noarch.rpm
          artemis-cli-1.2.0-1.fc25.noarch.rpm
          artemis-commons-1.2.0-1.fc25.noarch.rpm
          artemis-core-client-1.2.0-1.fc25.noarch.rpm
          artemis-dto-1.2.0-1.fc25.noarch.rpm
          artemis-jms-client-1.2.0-1.fc25.noarch.rpm
          artemis-jms-server-1.2.0-1.fc25.noarch.rpm
          artemis-journal-1.2.0-1.fc25.noarch.rpm
          artemis-maven-plugin-1.2.0-1.fc25.noarch.rpm
          artemis-native-1.2.0-1.fc25.x86_64.rpm
          artemis-protocols-1.2.0-1.fc25.noarch.rpm
          artemis-amqp-protocol-1.2.0-1.fc25.noarch.rpm
          artemis-hornetq-protocol-1.2.0-1.fc25.noarch.rpm
          artemis-hqclient-protocol-1.2.0-1.fc25.noarch.rpm
          artemis-proton-plug-1.2.0-1.fc25.noarch.rpm
          artemis-stomp-protocol-1.2.0-1.fc25.noarch.rpm
          artemis-ra-1.2.0-1.fc25.noarch.rpm
          artemis-rest-1.2.0-1.fc25.noarch.rpm
          artemis-selector-1.2.0-1.fc25.noarch.rpm
          artemis-server-1.2.0-1.fc25.noarch.rpm
          artemis-server-osgi-1.2.0-1.fc25.noarch.rpm
          artemis-service-extensions-1.2.0-1.fc25.noarch.rpm
          artemis-web-1.2.0-1.fc25.noarch.rpm
          artemis-spring-integration-1.2.0-1.fc25.noarch.rpm
          artemis-pom-1.2.0-1.fc25.noarch.rpm
          artemis-javadoc-1.2.0-1.fc25.noarch.rpm
          artemis-1.2.0-1.fc25.src.rpm
artemis-boot.noarch: W: no-documentation
artemis-cli.noarch: W: no-documentation
artemis-dto.noarch: W: no-documentation
artemis-jms-client.noarch: W: no-documentation
artemis-jms-server.noarch: W: no-documentation
artemis-journal.noarch: W: no-documentation
artemis-maven-plugin.noarch: W: no-documentation
artemis-native.x86_64: W: spelling-error %description -l en_US libaio -> libation
artemis-native.x86_64: W: only-non-binary-in-usr-lib
artemis-protocols.noarch: W: no-documentation
artemis-amqp-protocol.noarch: W: no-documentation
artemis-hornetq-protocol.noarch: W: no-documentation
artemis-hqclient-protocol.noarch: W: no-documentation
artemis-proton-plug.noarch: W: no-documentation
artemis-stomp-protocol.noarch: W: no-documentation
artemis-ra.noarch: W: no-documentation
artemis-rest.noarch: W: no-documentation
artemis-selector.noarch: W: no-documentation
artemis-server.noarch: W: no-documentation
artemis-server-osgi.noarch: W: no-documentation
artemis-service-extensions.noarch: W: no-documentation
artemis-web.noarch: W: no-documentation
artemis-spring-integration.noarch: W: no-documentation
artemis-pom.noarch: W: no-documentation
artemis.src: W: spelling-error %description -l en_US multi -> mulch, mufti
artemis.src: W: spelling-error %description -l en_US embeddable -> embedded
27 packages and 0 specfiles checked; 0 errors, 26 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
artemis-web.noarch: W: no-documentation
artemis-journal.noarch: W: no-documentation
artemis-hqclient-protocol.noarch: W: no-documentation
artemis-pom.noarch: W: no-documentation
artemis-cli.noarch: W: no-documentation
artemis-server.noarch: W: no-documentation
artemis-service-extensions.noarch: W: no-documentation
artemis-maven-plugin.noarch: W: no-documentation
artemis-server-osgi.noarch: W: no-documentation
artemis-jms-client.noarch: W: no-documentation
artemis-ra.noarch: W: no-documentation
artemis-hornetq-protocol.noarch: W: no-documentation
artemis-selector.noarch: W: no-documentation
artemis-boot.noarch: W: no-documentation
artemis-stomp-protocol.noarch: W: no-documentation
artemis-dto.noarch: W: no-documentation
artemis-protocols.noarch: W: no-documentation
artemis-spring-integration.noarch: W: no-documentation
artemis-proton-plug.noarch: W: no-documentation
artemis-jms-server.noarch: W: no-documentation
artemis-amqp-protocol.noarch: W: no-documentation
artemis-rest.noarch: W: no-documentation
artemis-native.x86_64: W: spelling-error %description -l en_US libaio -> libation
artemis-native.x86_64: W: only-non-binary-in-usr-lib
26 packages and 0 specfiles checked; 0 errors, 24 warnings.



Requires
--------
artemis-web (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-cli)
    mvn(org.apache.activemq:artemis-commons)
    mvn(org.apache.activemq:artemis-dto)
    mvn(org.eclipse.jetty:jetty-server)
    mvn(org.eclipse.jetty:jetty-webapp)
    mvn(org.jboss.logging:jboss-logging)

artemis-journal (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-commons)
    mvn(org.apache.activemq:artemis-native)
    mvn(org.jboss.logging:jboss-logging)

artemis-hqclient-protocol (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.jboss.logging:jboss-logging)

artemis-pom (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.felix:maven-bundle-plugin)
    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
    mvn(org.apache.maven.plugins:maven-help-plugin)
    mvn(org.apache.maven.plugins:maven-install-plugin)
    mvn(org.apache.maven.plugins:maven-javadoc-plugin)
    mvn(org.apache.rat:apache-rat-plugin)
    mvn(org.apache:apache:pom:)

artemis-cli (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(io.airlift:airline)
    mvn(org.apache.activemq:artemis-dto)
    mvn(org.apache.activemq:artemis-jms-server)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.jboss.logging:jboss-logging)

artemis-server (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(io.netty:netty-all)
    mvn(org.apache.activemq:artemis-commons)
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.apache.activemq:artemis-journal)
    mvn(org.apache.activemq:artemis-selector)
    mvn(org.jboss.logging:jboss-logging)

artemis-commons (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.google.guava:guava)
    mvn(commons-beanutils:commons-beanutils)
    mvn(io.netty:netty-all)
    mvn(org.jboss.logging:jboss-logging)

artemis-service-extensions (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-commons)
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.apache.activemq:artemis-jms-client)
    mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
    mvn(org.jboss.logging:jboss-logging)

artemis-maven-plugin (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(io.netty:netty-all)
    mvn(org.apache.activemq:artemis-boot)
    mvn(org.apache.activemq:artemis-cli)
    mvn(org.apache.activemq:artemis-jms-server)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.apache.maven.plugins:maven-dependency-plugin)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.eclipse.aether:aether-api)
    mvn(org.eclipse.aether:aether-util)

artemis-server-osgi (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-commons)
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.apache.activemq:artemis-jms-client)
    mvn(org.apache.activemq:artemis-jms-server)
    mvn(org.apache.activemq:artemis-journal)
    mvn(org.apache.activemq:artemis-selector)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.apache.activemq:artemis-service-extensions)

artemis-jms-client (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(javax.inject:javax.inject)
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.apache.activemq:artemis-selector)
    mvn(org.jboss.spec.javax.jms:jboss-jms-api_2.0_spec)

artemis-ra (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-service-extensions)
    mvn(org.jboss.logging:jboss-logging)

artemis-hornetq-protocol (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-hqclient-protocol)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.jboss.logging:jboss-logging)

artemis-selector (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

artemis-boot (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

artemis-stomp-protocol (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-server)
    mvn(org.jboss.logging:jboss-logging)

artemis-dto (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-commons)

artemis-core-client (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(io.netty:netty-all)
    mvn(org.apache.activemq:artemis-commons)
    mvn(org.jgroups:jgroups)

artemis-protocols (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-pom:pom:)

artemis-spring-integration (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-jms-server)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.jboss.logging:jboss-logging)
    mvn(org.springframework:spring-beans)
    mvn(org.springframework:spring-context)
    mvn(org.springframework:spring-core)
    mvn(org.springframework:spring-jms)

artemis-proton-plug (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.apache.activemq:artemis-jms-client)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.apache.qpid:proton-j)
    mvn(org.jboss.logging:jboss-logging)

artemis-jms-server (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.apache.activemq:artemis-jms-client)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.apache.activemq:artemis-service-extensions)
    mvn(org.apache.geronimo.specs:geronimo-ejb_3.0_spec)
    mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
    mvn(org.jboss.spec.javax.jms:jboss-jms-api_2.0_spec)

artemis-amqp-protocol (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.activemq:artemis-commons)
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.apache.activemq:artemis-jms-client)
    mvn(org.apache.activemq:artemis-proton-plug)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.apache.qpid:proton-j)
    mvn(org.apache.qpid:proton-jms)
    mvn(org.jboss.logging:jboss-logging)

artemis-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

artemis-rest (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(io.netty:netty-all)
    mvn(org.apache.activemq:artemis-jms-server)
    mvn(org.apache.activemq:artemis-server)
    mvn(org.apache.geronimo.specs:geronimo-annotation_1.1_spec)
    mvn(org.jboss.logging:jboss-logging)
    mvn(org.jboss.resteasy:resteasy-atom-provider)
    mvn(org.jboss.resteasy:resteasy-jackson-provider)
    mvn(org.jboss.resteasy:resteasy-jaxb-provider)
    mvn(org.jboss.resteasy:resteasy-jaxrs)
    mvn(org.jboss.resteasy:tjws)
    mvn(org.jboss.spec.javax.jms:jboss-jms-api_2.0_spec)

artemis-native (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.jboss.logging:jboss-logging)



Provides
--------
artemis-web:
    artemis-web
    mvn(org.apache.activemq:artemis-web)
    mvn(org.apache.activemq:artemis-web:pom:)

artemis-journal:
    artemis-journal
    mvn(org.apache.activemq:artemis-journal)
    mvn(org.apache.activemq:artemis-journal:pom:)

artemis-hqclient-protocol:
    artemis-hqclient-protocol
    mvn(org.apache.activemq:artemis-hqclient-protocol)
    mvn(org.apache.activemq:artemis-hqclient-protocol:pom:)
    osgi(org.apache.activemq.artemis-hqclient-protocol)

artemis-pom:
    artemis-pom
    mvn(org.apache.activemq:artemis-pom:pom:)

artemis-cli:
    artemis-cli
    mvn(org.apache.activemq:artemis-cli)
    mvn(org.apache.activemq:artemis-cli:pom:)

artemis-server:
    artemis-server
    mvn(org.apache.activemq:artemis-server)
    mvn(org.apache.activemq:artemis-server:pom:)

artemis-commons:
    artemis-commons
    mvn(org.apache.activemq:artemis-commons)
    mvn(org.apache.activemq:artemis-commons:pom:)

artemis-service-extensions:
    artemis-service-extensions
    mvn(org.apache.activemq:artemis-service-extensions)
    mvn(org.apache.activemq:artemis-service-extensions:pom:)

artemis-maven-plugin:
    artemis-maven-plugin
    mvn(org.apache.activemq:artemis-maven-plugin)
    mvn(org.apache.activemq:artemis-maven-plugin:pom:)

artemis-server-osgi:
    artemis-server-osgi
    mvn(org.apache.activemq:artemis-server-osgi)
    mvn(org.apache.activemq:artemis-server-osgi:pom:)
    osgi(org.apache.activemq.artemis-server-osgi)

artemis-jms-client:
    artemis-jms-client
    mvn(org.apache.activemq:artemis-jms-client)
    mvn(org.apache.activemq:artemis-jms-client:pom:)

artemis-ra:
    artemis-ra
    mvn(org.apache.activemq:artemis-ra)
    mvn(org.apache.activemq:artemis-ra:pom:)

artemis-hornetq-protocol:
    artemis-hornetq-protocol
    mvn(org.apache.activemq:artemis-hornetq-protocol)
    mvn(org.apache.activemq:artemis-hornetq-protocol:pom:)
    osgi(org.apache.activemq.artemis-hornetq-protocol)

artemis-selector:
    artemis-selector
    mvn(org.apache.activemq:artemis-selector)
    mvn(org.apache.activemq:artemis-selector:pom:)

artemis-boot:
    artemis-boot
    mvn(org.apache.activemq:artemis-boot)
    mvn(org.apache.activemq:artemis-boot:pom:)

artemis-stomp-protocol:
    artemis-stomp-protocol
    mvn(org.apache.activemq:artemis-stomp-protocol)
    mvn(org.apache.activemq:artemis-stomp-protocol:pom:)
    osgi(org.apache.activemq.artemis-stomp-protocol)

artemis-dto:
    artemis-dto
    mvn(org.apache.activemq:artemis-dto)
    mvn(org.apache.activemq:artemis-dto:pom:)

artemis-core-client:
    artemis-core-client
    mvn(org.apache.activemq:artemis-core-client)
    mvn(org.apache.activemq:artemis-core-client:pom:)

artemis-protocols:
    artemis-protocols
    mvn(org.apache.activemq:artemis-protocols:pom:)

artemis-spring-integration:
    artemis-spring-integration
    mvn(org.apache.activemq:artemis-spring-integration)
    mvn(org.apache.activemq:artemis-spring-integration:pom:)

artemis-proton-plug:
    artemis-proton-plug
    mvn(org.apache.activemq:artemis-proton-plug)
    mvn(org.apache.activemq:artemis-proton-plug:pom:)
    osgi(org.apache.activemq.artemis-proton-plug)

artemis-jms-server:
    artemis-jms-server
    mvn(org.apache.activemq:artemis-jms-server)
    mvn(org.apache.activemq:artemis-jms-server:pom:)

artemis-amqp-protocol:
    artemis-amqp-protocol
    mvn(org.apache.activemq:artemis-amqp-protocol)
    mvn(org.apache.activemq:artemis-amqp-protocol:pom:)
    osgi(org.apache.activemq.artemis-amqp-protocol)

artemis-javadoc:
    artemis-javadoc

artemis-rest:
    artemis-rest
    mvn(org.apache.activemq.rest:artemis-rest)
    mvn(org.apache.activemq.rest:artemis-rest:pom:)

artemis-native:
    artemis-native
    artemis-native(x86-64)
    mvn(org.apache.activemq:artemis-native)
    mvn(org.apache.activemq:artemis-native:pom:)
    osgi(org.apache.activemq.artemis-native)



Source checksums
----------------
http://www.apache.org/dist/activemq/activemq-artemis/1.2.0/apache-artemis-1.2.0-source-release.tar.gz :
  CHECKSUM(SHA256) this package     : f6e800be1640a4d319e4a738c07e295b0be9e1f0ccba7a13ffdc61ba78510088
  CHECKSUM(SHA256) upstream package : f6e800be1640a4d319e4a738c07e295b0be9e1f0ccba7a13ffdc61ba78510088


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1343063
Buildroot used: rawhide-x86_64
Active plugins: Generic, Shell-api, Java, C/C++
Disabled plugins: Python, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 gil cattaneo 2016-06-10 15:01:01 UTC
(In reply to Michael Simacek from comment #1)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Large documentation must go in a -doc subpackage. Large could be size
>   (~1MB) or number of files.
>   Note: Documentation size is 1024000 bytes in 89 files.
>   See:
>   http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
> - I don't like this XPath expression:
>   %pom_xpath_remove pom:configuration artemis-server-osgi
>   It's too general, it will remove any configuration of any plugin that
>   might appear there in the future. Please make it more specific.
> - Can you put a comment about the patch above it?
> - There's
>   artemis-commons/src/main/java/org/apache/activemq/artemis/utils/Base64.java
>   file under public domain
> - "Evil MIT" under
> /artemis-core-client/src/main/java/org/apache/activemq/artemis/utils/json
>   You'll need to remove this code and replace with an alternative. You should
>   also inform upstream that they bundle non-free code.

Upstream is no interested to replace json.org with other alternative, already contacted for other projects e.g. tika and solr. For they the json.org license
is not a problem 

> - You should use cmake macro.
>   https://fedoraproject.org/wiki/Packaging:Cmake
> - artemis-native/README contains only build instructions, it shouldn't
>   be installed

Too much work for replace json.org with an alternative. Closed this bug.
Thanks for your help i am not aware of that .... of json  bundle in the code

Comment 3 gil cattaneo 2016-06-18 16:43:41 UTC
(In reply to gil cattaneo from comment #2)
> (In reply to Michael Simacek from comment #1)
> > Package Review
> > ==============
> > 
> > Legend:
> > [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> > [ ] = Manual review needed
> > 
> > 
> > Issues:
> > =======
> > - Large documentation must go in a -doc subpackage. Large could be size
> >   (~1MB) or number of files.
> >   Note: Documentation size is 1024000 bytes in 89 files.
> >   See:
> >   http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
Done
> > - I don't like this XPath expression:
> >   %pom_xpath_remove pom:configuration artemis-server-osgi
> >   It's too general, it will remove any configuration of any plugin that
> >   might appear there in the future. Please make it more specific.
> > - Can you put a comment about the patch above it?
Done
> > - There's
> >   artemis-commons/src/main/java/org/apache/activemq/artemis/utils/Base64.java
Done "Provides:      bundled(java-base64) = 2.2.2"
> >   file under public domain
> > - "Evil MIT" under
> > /artemis-core-client/src/main/java/org/apache/activemq/artemis/utils/json
> >   You'll need to remove this code and replace with an alternative. You should
> >   also inform upstream that they bundle non-free code.
> 
> Upstream is no interested to replace json.org with other alternative,
> already contacted for other projects e.g. tika and solr. For they the
> json.org license
> is not a problem 
> 
> > - You should use cmake macro.
> >   https://fedoraproject.org/wiki/Packaging:Cmake
> > - artemis-native/README contains only build instructions, it shouldn't
> >   be installed
> 
> Too much work for replace json.org with an alternative. Closed this bug.
> Thanks for your help i am not aware of that .... of json  bundle in the code

Open https://issues.apache.org/jira/browse/ARTEMIS-565

- update to 1.3.0

Comment 5 Michael Simacek 2016-07-20 10:17:46 UTC
AS we talked on IRC, you should also remove the json.org license from LICENSE file.

Also, can you use %cmake macro? It should set the CFLAGS for you.

Comment 6 gil cattaneo 2016-07-20 16:54:38 UTC
(In reply to Michael Simacek from comment #5)
> AS we talked on IRC, you should also remove the json.org license from
> LICENSE file.
fro this i waiting a upstream response
> Also, can you use %cmake macro? It should set the CFLAGS for you.
sorry for my ignorance, i should change cmake line in this way?
%cmake -DCMAKE_C_FLAGS:STRING="${CFLAGS:-%optflags}" -DCMAKE_CXX_FLAGS:STRING="${CXXFLAGS:-%optflags}" .

Comment 7 gil cattaneo 2016-07-20 17:10:18 UTC
Spec URL: https://gil.fedorapeople.org/artemis.spec
SRPM URL: https://gil.fedorapeople.org/artemis-1.3.0-2.fc23.src.rpm

- replace json.org with javax.json and remove the json.org license from LICENSE file.

Comment 8 Michael Simacek 2016-07-25 08:51:23 UTC
(In reply to gil cattaneo from comment #6)
> (In reply to Michael Simacek from comment #5)
> > AS we talked on IRC, you should also remove the json.org license from
> > LICENSE file.
> fro this i waiting a upstream response
> > Also, can you use %cmake macro? It should set the CFLAGS for you.
> sorry for my ignorance, i should change cmake line in this way?
> %cmake -DCMAKE_C_FLAGS:STRING="${CFLAGS:-%optflags}"
> -DCMAKE_CXX_FLAGS:STRING="${CXXFLAGS:-%optflags}" .

I think using just:
%cmake .
should be enough.

Comment 9 gil cattaneo 2016-07-25 15:53:57 UTC
(In reply to Michael Simacek from comment #8)
> I think using just:
> %cmake .
> should be enough.

Done

Comment 10 gil cattaneo 2016-07-25 16:04:14 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15014104

Comment 11 Michael Simacek 2016-07-26 12:56:24 UTC
Looks ok now. APPROVED

Comment 12 gil cattaneo 2016-07-26 13:04:21 UTC
Thanks for the review!

create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/6636
https://admin.fedoraproject.org/pkgdb/package/requests/6637

Comment 13 Gwyn Ciesla 2016-07-26 13:32:59 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/artemis

Comment 14 Fedora Update System 2016-08-17 23:07:55 UTC
artemis-1.4.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-890632cdbc

Comment 15 Fedora Update System 2016-08-18 01:27:10 UTC
artemis-1.4.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d6c13fc715

Comment 16 Fedora Update System 2016-08-18 16:54:29 UTC
artemis-1.4.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-890632cdbc

Comment 17 Fedora Update System 2016-08-19 00:59:39 UTC
artemis-1.4.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d6c13fc715

Comment 18 Fedora Update System 2016-08-26 10:22:23 UTC
artemis-1.4.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-08-27 10:23:30 UTC
artemis-1.4.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.